repo/gentoo:master commit in: dev-libs/capstone/

"Sam James" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787004842.e20d7aaa99351eb4590cdbc776bea7e4c0d59b43.sam@gentoo>
commit:     e20d7aaa99351eb4590cdbc776bea7e4c0d59b43
Author:     Mario Haustein <mario.haustein <AT> hrz <DOT> tu-chemnitz <DOT> de>
AuthorDate: Tue Jul 28 16:53:59 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Mon Aug 17 22:14:02 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e20d7aaa

dev-libs/capstone: add 6.0.0_alpha10

Closes: https://bugs.gentoo.org/979849
Signed-off-by: Mario Haustein <mario.haustein <AT> hrz.tu-chemnitz.de>
Part-of: https://github.com/gentoo/gentoo/pull/46325
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/capstone/Manifest                      |   1 +
 dev-libs/capstone/capstone-6.0.0_alpha10.ebuild | 102 ++++++++++++++++++++++++
 2 files changed, 103 insertions(+)

diff --git a/dev-libs/capstone/Manifest b/dev-libs/capstone/Manifest
index 2261eb030dec..9280915614b4 100644
--- a/dev-libs/capstone/Manifest
+++ b/dev-libs/capstone/Manifest
@@ -1,6 +1,7 @@
 DIST capstone-5.0.6.tar.gz 7653660 BLAKE2B edb9336944d92c153951dede212ffac955321f9a31c622b30461a130b2715716988a9379be5e15fc70827043fe67136e2e470f0956666988fc8d01a068d86af3 SHA512 d4ed08a2ab4ed8ede51a163e98542129d6441889cf6936ac9e3f8027fb2dfcbb04a7aacba14c2a007e788790bb3939c173b47db3d95f5dd9eafce2f30ff493e1
 DIST capstone-5.0.7.tar.gz 7653624 BLAKE2B 6e1d7d5aed9c1ef976aa97d7cf1363adfb41287bb8b26a5ae4ce5d0dc6ec318bdce551668486848a5f4005009c11b80ced77be911ab7ae79649923068eb646fe SHA512 e09788d7dfca281f8f3773323d72e1157df777878d59ace6a8996495d505dec10051ce002f473fa5ff8aa60d5e6bb4cff5e55faffb074643cae7c4515e324994
 DIST capstone-5.0.9.tar.gz 7654476 BLAKE2B b9c35d4e1330e4f60e32f873310269dc63274e95cd9fe64742ffd311d7cddf573dc8ddfee1728ae37761254249d27a896a67af9f844fe37e7f7a99a791c98933 SHA512 e4fe24002aed02cdbc0626dafee5211646e5da6a208c8ef99cd2d4f08beb0022999684af55cd80214aea4067fad427abb5ed5b1f5433b42a1f9047092481c039
+DIST capstone-6.0.0_alpha10.tar.gz 9229571 BLAKE2B 0452cd2bb605a5e5fd7c60d8254a33062338bc8ef016c4120b5af487b40634a8adc1c4f460cb8d2b6ce614c87654e91566de1644b10df95efe7db955dfde40ef SHA512 dc3e42069802799beee92ffbdcf2e42d85e6267e507bee403058b41b25420f99223db593d75f12013932b3a4627192fe00599bd8c5fca802da37520133baea24
 DIST capstone-6.0.0_alpha4.tar.gz 10295780 BLAKE2B fcb8ae9688c296c2b3e154915df1ac18a2826691acd1a8bf1ae9bf541c1dbab05381ca9fe9babc9f5c85d4e44bb8ac6d7f1be05b3ad1775999cdd8a4827bd9d8 SHA512 dbb8a7077f03934e40c31bf071028d96fa07f9faf8532bb97d3e0f60b7a88581ca75545f093c75caa3c10d42e8dc578ae79ed507a6cfefea98fa0ffa0fc3af2b
 DIST capstone-6.0.0_alpha5.tar.gz 8174116 BLAKE2B 550ef6a5610fd1caa74c9658a0ccf458e77af94f59cc9242e39a5d01595dc55d39ceacfe85babf53e067ba419054856bbe3a763d1c4b04f85f7b29c03ee96a59 SHA512 7e673b85b6262c135d38311788cee86fd483ba1b8fad8bdd4e77483ebaf59700b253755bbc301261b999fcac9cccde0c922770a56ef39f23e9d0f43ea0d3a8ed
 DIST capstone-6.0.0_alpha6.tar.gz 8182618 BLAKE2B 6842387148b8b8c367ce9d9e5618fd15460dbed89f45e1717835a605a73b7871525aa83122aea8307e4a9e632569f44f5e82c2dc72a57456d2512ec749316832 SHA512 56e98fcc6cab9edce799cc330bf40d5d684a5b67bf8e8024dd41b58ddff8de6536d38b64d5bf2df77519ca4e9834466269c30133ba6bb25e94cef241d6dd02b0

diff --git a/dev-libs/capstone/capstone-6.0.0_alpha10.ebuild b/dev-libs/capstone/capstone-6.0.0_alpha10.ebuild
new file mode 100644
index 000000000000..4675931a7f8e
--- /dev/null
+++ b/dev-libs/capstone/capstone-6.0.0_alpha10.ebuild
@@ -0,0 +1,102 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..14} )
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+DISTUTILS_USE_PEP517=setuptools
+
+inherit cmake distutils-r1 toolchain-funcs
+
+DESCRIPTION="disassembly/disassembler framework + bindings"
+HOMEPAGE="https://www.capstone-engine.org/"
+
+if [[ ${PV} == 9999 ]]; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/capstone-engine/capstone.git"
+	EGIT_REPO_BRANCH="next"
+else
+	MY_PV="${PV}"
+	MY_PV="${MY_PV/_alpha/-Alpha}"
+	MY_PV="${MY_PV/_beta/-Beta}"
+	MY_PV="${MY_PV/_rc/-rc}"
+	SRC_URI="https://github.com/capstone-engine/capstone/archive/${MY_PV}.tar.gz -> ${P}.tar.gz"
+	S="${WORKDIR}/${PN}-${MY_PV}"
+	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="BSD"
+SLOT="0/6" # libcapstone.so.6
+
+IUSE="python static-libs"
+RDEPEND="python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}
+	python? ( dev-python/setuptools[${PYTHON_USEDEP}] )
+"
+BDEPEND="${DISTUTILS_DEPS}"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+PATCHES=(
+	# Currently "-Werror" is only added in the `next`-development branch, but
+	# not merged into 5.* releases. Eventually this patch may be needed in the
+	# version 5 release line. See bug #911481.
+	"${FILESDIR}/${PN}-werror.patch"
+)
+
+if [[ ${PV} == *_rc* ]]; then
+	# Upstream doesn't flag release candidates (bug 858350)
+	QA_PKGCONFIG_VERSION=""
+fi
+
+wrap_python() {
+	local phase=$1
+	shift
+
+	if use python; then
+		pushd "${S}/bindings/python" >/dev/null || die
+		distutils-r1_${phase} "$@"
+		popd >/dev/null || die
+	fi
+}
+
+src_prepare() {
+	tc-export RANLIB
+	cmake_src_prepare
+
+	wrap_python ${FUNCNAME}
+}
+
+src_configure() {
+	local mycmakeargs=(
+		-DCAPSTONE_BUILD_SHARED_LIBS=true
+		-DCAPSTONE_BUILD_STATIC_LIBS="$(usex static-libs)"
+	)
+	cmake_src_configure
+
+	wrap_python ${FUNCNAME}
+}
+
+src_compile() {
+	cmake_src_compile
+
+	wrap_python ${FUNCNAME}
+}
+
+src_test() {
+	cmake_src_test
+
+	wrap_python ${FUNCNAME}
+}
+
+src_install() {
+	cmake_src_install
+
+	wrap_python ${FUNCNAME}
+}
+
+python_test() {
+	./tests/test_all.py || die
+	./tests/test_iter.py || die
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.